## org.apache.mahout.ep
Interface Payload<T>

Type Parameters:
  `T` -

All Superinterfaces:
  org.apache.hadoop.io.Writable

All Known Implementing Classes:
  AdaptiveLogisticRegression.Wrapper

    public interface Payload<T>

extends org.apache.hadoop.io.Writable

Payloads for evolutionary state must be copyable and updatable. The copy should be a deep copy unless some aspect of the state is sharable or immutable.

During mutation, a copy is first made and then after the parameters in the State structure are suitably modified, update is called with the scaled versions of the parameters.

See Also:
  `State`

Method Summary
`Payload<T>` `copy()`
`void` `update(double[] params)`

Methods inherited from interface org.apache.hadoop.io.Writable
`readFields, write`

Method Detail

### copy

    Payload<T> copy()

### update

    void update(double[] params)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.